SDL_GetJoystickType(3)

NAME
SDL_GetJoystickType - Get the type of an opened joystick.

HEADER FILE
Defined in SDL3/SDL_joystick.h

SYNOPSIS
#include "SDL3/SDL.h"

SDL_JoystickType SDL_GetJoystickType(SDL_Joystick *joystick);

FUNCTION PARAMETERS

joystick
    the SDL_Joystick
     obtained from SDL_OpenJoystick ()

RETURN VALUE
Returns the SDL_JoystickType
 of the selected joystick.

AVAILABILITY
This function is available since SDL 3.0.0.

SEE ALSO
SDL_GetJoystickInstanceType(3)